<?php

/////////////////////////////////////////////////////////////////////////////
// General information
/////////////////////////////////////////////////////////////////////////////

$app['basename'] = 'system_database';
$app['version'] = '1.2.2';
$app['release'] = '1';
$app['vendor'] = 'ClearFoundation';
$app['packager'] = 'ClearFoundation';
$app['license'] = 'GPLv3';
$app['license_core'] = 'LGPLv3';
$app['description'] = lang('system_database_app_description');

/////////////////////////////////////////////////////////////////////////////
// App name and categories
/////////////////////////////////////////////////////////////////////////////

$app['name'] = lang('system_database_app_name');
$app['category'] = lang('base_category_system');
$app['subcategory'] = lang('base_subcategory_settings');
$app['menu_enabled'] = FALSE;

/////////////////////////////////////////////////////////////////////////////
// Packaging
/////////////////////////////////////////////////////////////////////////////

$app['core_only'] = TRUE;

$app['core_requires'] = array(
    'app-storage-core',
    'system-mysql-server >= 5.1.52',
);

$app['core_file_manifest'] = array(
    'system_database_default.conf' => array ('target' => '/etc/clearos/storage.d/system_database_default.conf'),
    'system-mysqld.php' => array('target' => '/var/clearos/base/daemon/system-mysqld.php'),
);

$app['core_directory_manifest'] = array(
   '/var/clearos/system_database' => array(),
);
